import { VatTypeToDisplayNamePipe } from './vat-type-to-display-name.pipe';
import { vatDtosMock } from '../shared/mockdata';

fdescribe('Pipe: VatTypeToDisplayNamePipe', () => {
  let pipe: VatTypeToDisplayNamePipe;

  beforeEach(() => {
    pipe = new VatTypeToDisplayNamePipe();
  });

  it('should return 5%', () => {
    const mock = vatDtosMock.find((vat) => vat.name === '5').vatType;

    const result = pipe.transform(mock, vatDtosMock);

    const expected = '5%';
    expect(result).toEqual(expected);
  });
});
